Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.filter.authorization
Class R01FTargetCfg

    java.lang.Object
      com.ejie.r01f.servlet.filter.authorization.R01FTargetCfg

All Implemented Interfaces:
  java.io.Serializable

public class R01FTargetCfg
extends java.lang.Object
implements java.io.Serializable

Modela la configuracion de seguridad de una URI

See Also:
  Serialized Form

Nested Class Summary
`class` | `R01FTargetCfg.ResourceCfg` Elemento de configuracion de seguridad de un recurso

Field Summary
`static int` | `ALLOW_KIND`
`static java.lang.String` | `ALLOW_KIND_STR`
`int` | `kind`
`java.util.Map` | `resources`
`static int` | `RESTRICT_KIND`
`static java.lang.String` | `RESTRICT_KIND_STR`
`java.lang.String` | `uriPattern`

Constructor Summary
`R01FTargetCfg()`

Method Summary
`int` | `getKind()` Devuelve si el tipo de target es restrictivo o de acceso
`R01FResourceCtx` | `getResource(java.lang.String resourceOID)` Devuelve un recurso
`java.util.Iterator` | `getResourcesIterator()` Devuelve un iterador sobre los recursos
`java.lang.String` | `getURIPattern()` Devuelve el patron de la expresion regular que machea la uri
`java.lang.String` | `toString()` Obtiene la representación en formato cadena de la configuracion de seguridad

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESTRICT_KIND

    public static int RESTRICT_KIND

### RESTRICT_KIND_STR

    public static java.lang.String RESTRICT_KIND_STR

### ALLOW_KIND

    public static int ALLOW_KIND

### ALLOW_KIND_STR

    public static java.lang.String ALLOW_KIND_STR

### uriPattern

    public java.lang.String uriPattern

### kind

    public int kind

### resources

    public java.util.Map resources

Constructor Detail

### R01FTargetCfg

    public R01FTargetCfg()

Method Detail

### getURIPattern

    public java.lang.String getURIPattern()

  Devuelve el patron de la expresion regular que machea la uri

  Returns:
    La expresion regular

### getKind

    public int getKind()

  Devuelve si el tipo de target es restrictivo o de acceso

  Returns:
    el tipo de target

### getResourcesIterator

    public java.util.Iterator getResourcesIterator()

  Devuelve un iterador sobre los recursos

  Returns:
    El iterador sobre los recursos

### getResource

    public R01FResourceCtx getResource(java.lang.String resourceOID)

  Devuelve un recurso

  Returns:
    El objeto R01FResourceCtx con la configuracion del recurso

### toString

    public java.lang.String toString()

  Obtiene la representación en formato cadena de la configuracion de seguridad

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD